Name:          xfsprogs
Version:       4.7.0
Release:       1mamba
Summary:       This package contains the userspace tools to accompany the XFS driver in the kernel
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://oss.sgi.com/projects/xfs/
Source:        ftp://oss.sgi.com/projects/xfs/cmd_tars/xfsprogs-%{version}.tar.gz
Patch:         %{name}-2.8.21-buildfix.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libblkid-devel
BuildRequires: libuuid-devel
## AUTOBUILDREQ-END
BuildRequires: bash
BuildRequires: gettext-devel
BuildRequires: ldconfig
BuildRequires: libe2fs-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This package contains the userspace tools to accompany the XFS driver in the kernel. 

%prep
%setup -q
#%patch -p1

%build
#autoconf
export DEBUG="-DNDEBUG"
%configure \
   --enable-shared=yes \
   --enable-gettext=yes
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
#\
#   PKG_ROOT_LIB_DIR=%{buildroot}%{_libdir} \
#   PKG_ROOT_BIN_DIR=%{buildroot}%{_bindir} \
#   PKG_ROOT_SBIN_DIR=%{buildroot}%{_sbindir} \
#   PKG_SBIN_DIR=%{buildroot}%{_sbindir} \
#   PKG_MAN_DIR=%{buildroot}%{_mandir} \
#   PKG_DOC_DIR=%{_builddir}/%{name}-%{version}/xfsprogs_docs

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
/sbin/fsck.xfs
/sbin/mkfs.xfs
/sbin/xfs_repair
%{_sbindir}/xfs_*
/%{_lib}/libhandle.so.*
%dir %{_datadir}/doc/xfsprogs
%{_datadir}/doc/xfsprogs/*
%{_mandir}/man5/xfs.*
%{_mandir}/man5/projects.*
%{_mandir}/man5/projid.*
%{_mandir}/man8/fsck.xfs.*
%{_mandir}/man8/mkfs.xfs.*
%{_mandir}/man8/xfs_*.*

%changelog
* Fri Aug 05 2016 Automatic Build System <autodist@mambasoft.it> 4.7.0-1mamba
- automatic version update by autodist

* Tue Mar 15 2016 Automatic Build System <autodist@mambasoft.it> 4.5.0-1mamba
- automatic version update by autodist

* Mon Nov 23 2015 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Mon Sep 07 2015 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Thu Jul 30 2015 Automatic Build System <autodist@mambasoft.it> 3.2.4-1mamba
- automatic version update by autodist

* Wed Jun 10 2015 Automatic Build System <autodist@mambasoft.it> 3.2.3-1mamba
- automatic version update by autodist

* Thu Dec 04 2014 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Wed Jul 16 2014 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Wed Jun 04 2014 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic update by autodist

* Sat May 11 2013 Automatic Build System <autodist@mambasoft.it> 3.1.11-1mamba
- automatic version update by autodist

* Thu Dec 27 2012 Automatic Build System <autodist@mambasoft.it> 3.1.10-1mamba
- automatic version update by autodist

* Fri Mar 23 2012 Automatic Build System <autodist@mambasoft.it> 3.1.8-1mamba
- automatic version update by autodist

* Fri Apr 01 2011 Automatic Build System <autodist@mambasoft.it> 3.1.5-1mamba
- automatic update by autodist

* Sat Nov 13 2010 Automatic Build System <autodist@mambasoft.it> 3.1.4-1mamba
- automatic update to 3.1.4 by autodist

* Tue Sep 07 2010 Automatic Build System <autodist@mambasoft.it> 3.1.3-1mamba
- update to 3.1.3

* Mon May 10 2010 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic update to 3.1.2 by autodist

* Sat Feb 13 2010 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic update to 3.1.1 by autodist

* Mon Aug 31 2009 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic update to 3.0.3 by autodist

* Thu May 07 2009 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic update to 3.0.1 by autodist

* Fri Feb 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-1mamba
- update to 3.0.0

* Mon Dec 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.2-1mamba
- automatic update to 2.10.2 by autodist

* Wed Sep 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.1-1mamba
- automatic update to 2.10.1 by autodist

* Wed Apr 30 2008 Aleph0 <aleph0@openmamba.org> 2.9.8-1mamba
- update to 2.9.8

* Fri Mar 07 2008 Aleph0 <aleph0@openmamba.org> 2.9.7-1mamba
- update to 2.9.7

* Mon Jan 21 2008 Aleph0 <aleph0@openmamba.org> 2.9.5-1mamba
- update to 2.9.5

* Wed Sep 12 2007 Aleph0 <aleph0@openmamba.org> 2.9.4-1mamba
- update to 2.9.4

* Mon Jul 23 2007 Aleph0 <aleph0@openmamba.org> 2.9.3-1mamba
- update to 2.9.3

* Fri Jun 15 2007 Aleph0 <aleph0@openmamba.org> 2.8.21-1mamba
- update to 2.8.21

* Tue Mar 30 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.0-1qilnx
- first build
